import express, { Express } from 'express';
import { Cobbler } from './cobbler';
import { CobblerHandler } from './cobbler-handler';
export declare type RequestMethod = 'GET' | 'POST' | 'PATCH' | 'PUT' | 'DELETE';
export declare function InitCobblerRoute(app: Express, path: string, apiRoot?: string, handler?: CobblerHandler, cache?: boolean): void;
export declare function CobblerRoute(cobbler: Cobbler, method: RequestMethod, pathInfo: string[], req: express.Request, res: express.Response, handler: CobblerHandler): void;
